summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorDet2018-04-11 22:07:37 +0300
committerDet2018-04-11 22:07:37 +0300
commitf1c5227369730671f5944dc0a9087f274239ffbc (patch)
treeba047d4b360fbf130374017071fafc09cda9d43f
parent81e379acc42bdea8bf362cefc8c31a805f183411 (diff)
downloadaur-f1c5227369730671f5944dc0a9087f274239ffbc.tar.gz
Upgpkg: 396.18
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD66
2 files changed, 39 insertions, 39 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 6815637e6e1..6378e8613eb 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,13 +1,13 @@
pkgbase = lib32-nvidia-utils-beta
- pkgver = 390.48
+ pkgver = 396.18
pkgrel = 1
url = http://www.nvidia.com/
arch = x86_64
license = custom:NVIDIA
makedepends = nvidia-libgl-beta
options = !strip
- source = http://us.download.nvidia.com/XFree86/Linux-x86/390.48/NVIDIA-Linux-x86-390.48.run
- md5sums = 754bbdc3eb6f3873cca49ae807964c0e
+ source = http://us.download.nvidia.com/XFree86/Linux-x86_64/396.18/NVIDIA-Linux-x86_64-396.18.run
+ md5sums = e9188de3573a435f78c5577f87c93a0e
pkgname = lib32-nvidia-utils-beta
pkgdesc = NVIDIA driver utilities and libraries (beta version) (32-bit)
@@ -16,7 +16,7 @@ pkgname = lib32-nvidia-utils-beta
depends = nvidia-utils-beta
depends = lib32-mesa>=17.0.2-1
optdepends = lib32-opencl-nvidia-beta: OpenCL support
- provides = lib32-nvidia-utils=390.48
+ provides = lib32-nvidia-utils=396.18
provides = lib32-libglvnd
provides = lib32-vulkan-driver
conflicts = lib32-nvidia-utils
@@ -26,7 +26,7 @@ pkgname = lib32-nvidia-libgl-beta
pkgdesc = NVIDIA driver library symlinks for 'lib32-nvidia-utils-beta'
depends = lib32-nvidia-utils-beta
depends = nvidia-libgl-beta
- provides = lib32-nvidia-libgl=390.48
+ provides = lib32-nvidia-libgl=396.18
provides = lib32-libgl
provides = lib32-libegl
provides = lib32-libgles
@@ -41,7 +41,7 @@ pkgname = lib32-opencl-nvidia-beta
depends = lib32-zlib
depends = lib32-gcc-libs
optdepends = opencl-headers: headers necessary for OpenCL development
- provides = lib32-opencl-nvidia=390.48
+ provides = lib32-opencl-nvidia=396.18
provides = lib32-opencl-driver
conflicts = lib32-opencl-nvidia
diff --git a/PKGBUILD b/PKGBUILD
index 6721a1a3bad..fb54ca4293c 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,16 +3,16 @@
# Based on [multilib]'s lib32-nvidia-utils: https://www.archlinux.org/packages/multilib/x86_64/lib32-nvidia-utils/
pkgname=('lib32-nvidia-utils-beta' 'lib32-nvidia-libgl-beta' 'lib32-opencl-nvidia-beta')
-pkgver=390.48
+pkgver=396.18
pkgrel=1
arch=('x86_64')
url="http://www.nvidia.com/"
makedepends=('nvidia-libgl-beta') # To avoid conflict during installation in the build chroot
license=('custom:NVIDIA')
options=('!strip')
-_pkg="NVIDIA-Linux-x86-$pkgver"
-source=("http://us.download.nvidia.com/XFree86/Linux-x86/$pkgver/$_pkg.run")
-md5sums=('754bbdc3eb6f3873cca49ae807964c0e')
+_pkg="NVIDIA-Linux-x86_64-$pkgver"
+source=("http://us.download.nvidia.com/XFree86/Linux-x86_64/$pkgver/$_pkg.run")
+md5sums=('e9188de3573a435f78c5577f87c93a0e')
_create_links() {
# create missing soname links
@@ -47,8 +47,8 @@ package_lib32-opencl-nvidia-beta() {
cd $_pkg
# OpenCL
- install -Dm755 libnvidia-compiler.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-compiler.so.$pkgver
- install -Dm755 libnvidia-opencl.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-opencl.so.$pkgver
+ install -Dm755 32/libnvidia-compiler.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-compiler.so.$pkgver
+ install -Dm755 32/libnvidia-opencl.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-opencl.so.$pkgver
# create missing soname links
_create_links
@@ -98,56 +98,56 @@ package_lib32-nvidia-utils-beta() {
cd $_pkg
# libGL & OpenGL
- install -Dm755 libGL.so.1.7.0 "$pkgdir"/usr/lib32/nvidia/libGL.so.1.7.0
- install -Dm755 libGLdispatch.so.0 "$pkgdir"/usr/lib32/libGLdispatch.so.0
- install -Dm755 libnvidia-glcore.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glcore.so.$pkgver
- install -Dm755 libOpenGL.so.0 "$pkgdir"/usr/lib32/libOpenGL.so.0
+ install -Dm755 32/libGL.so.1.7.0 "$pkgdir"/usr/lib32/nvidia/libGL.so.1.7.0
+ install -Dm755 32/libGLdispatch.so.0 "$pkgdir"/usr/lib32/libGLdispatch.so.0
+ install -Dm755 32/libnvidia-glcore.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glcore.so.$pkgver
+ install -Dm755 32/libOpenGL.so.0 "$pkgdir"/usr/lib32/libOpenGL.so.0
+ install -Dm755 32/libnvidia-glvkspirv.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glvkspirv.so.$pkgver
# GLX
- install -Dm755 libGLX.so.0 "$pkgdir"/usr/lib32/libGLX.so.0
- install -Dm755 libGLX_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLX_nvidia.so.$pkgver
+ install -Dm755 32/libGLX.so.0 "$pkgdir"/usr/lib32/libGLX.so.0
+ install -Dm755 32/libGLX_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLX_nvidia.so.$pkgver
# now in lib32-mesa driver
#ln -s libGLX_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLX_indirect.so.0
# EGL
- install -Dm755 libEGL.so.1.1.0 "$pkgdir"/usr/lib32/nvidia/libEGL.so.1.1.0
- install -Dm755 libEGL_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libEGL_nvidia.so.$pkgver
- install -Dm755 libnvidia-eglcore.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-eglcore.so.$pkgver
- install -Dm755 libnvidia-egl-wayland.so.1.0.2 "$pkgdir"/usr/lib32/libnvidia-egl-wayland.so.1.0.2
+ install -Dm755 32/libEGL.so.1.1.0 "$pkgdir"/usr/lib32/nvidia/libEGL.so.1.1.0
+ install -Dm755 32/libEGL_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libEGL_nvidia.so.$pkgver
+ install -Dm755 32/libnvidia-eglcore.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-eglcore.so.$pkgver
# OpenGL ES
- install -Dm755 libGLESv1_CM.so.1.2.0 "$pkgdir"/usr/lib32/nvidia/libGLESv1_CM.so.1.2.0
- install -Dm755 libGLESv1_CM_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLESv1_CM_nvidia.so.$pkgver
- install -Dm755 libGLESv2.so.2.1.0 "$pkgdir"/usr/lib32/nvidia/libGLESv2.so.2.1.0
- install -Dm755 libGLESv2_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLESv2_nvidia.so.$pkgver
- install -Dm755 libnvidia-glsi.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glsi.so.$pkgver
+ install -Dm755 32/libGLESv1_CM.so.1.2.0 "$pkgdir"/usr/lib32/nvidia/libGLESv1_CM.so.1.2.0
+ install -Dm755 32/libGLESv1_CM_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLESv1_CM_nvidia.so.$pkgver
+ install -Dm755 32/libGLESv2.so.2.1.0 "$pkgdir"/usr/lib32/nvidia/libGLESv2.so.2.1.0
+ install -Dm755 32/libGLESv2_nvidia.so.$pkgver "$pkgdir"/usr/lib32/libGLESv2_nvidia.so.$pkgver
+ install -Dm755 32/libnvidia-glsi.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-glsi.so.$pkgver
# VDPAU (Video Decode and Presentation API for Unix)
- install -Dm755 libvdpau_nvidia.so.$pkgver "$pkgdir"/usr/lib32/vdpau/libvdpau_nvidia.so.$pkgver
+ install -Dm755 32/libvdpau_nvidia.so.$pkgver "$pkgdir"/usr/lib32/vdpau/libvdpau_nvidia.so.$pkgver
# GPU-accelerated video encoding
- install -Dm755 libnvidia-encode.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-encode.so.$pkgver
+ install -Dm755 32/libnvidia-encode.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-encode.so.$pkgver
# CUDA (Compute Unified Device Architecture)
- install -Dm755 libcuda.so.$pkgver "$pkgdir"/usr/lib32/libcuda.so.$pkgver
- install -Dm755 libnvcuvid.so.$pkgver "$pkgdir"/usr/lib32/libnvcuvid.so.$pkgver
+ install -Dm755 32/libcuda.so.$pkgver "$pkgdir"/usr/lib32/libcuda.so.$pkgver
+ install -Dm755 32/libnvcuvid.so.$pkgver "$pkgdir"/usr/lib32/libnvcuvid.so.$pkgver
# PTX JIT Compiler (Parallel Thread Execution (PTX) is a pseudo-assembly language for CUDA)
- install -Dm755 libnvidia-ptxjitcompiler.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ptxjitcompiler.so.$pkgver
+ install -Dm755 32/libnvidia-ptxjitcompiler.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ptxjitcompiler.so.$pkgver
# Fat (multiarchitecture) binary loader
- install -Dm755 libnvidia-fatbinaryloader.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-fatbinaryloader.so.$pkgver
+ install -Dm755 32/libnvidia-fatbinaryloader.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-fatbinaryloader.so.$pkgver
# TLS (Thread local storage) support for OpenGL libs
- install -Dm755 libnvidia-tls.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-tls.so.$pkgver # Classic
- install -Dm755 tls/libnvidia-tls.so.$pkgver "$pkgdir"/usr/lib32/tls/libnvidia-tls.so.$pkgver # New
+ install -Dm755 32/libnvidia-tls.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-tls.so.$pkgver # Classic
+ install -Dm755 32/tls/libnvidia-tls.so.$pkgver "$pkgdir"/usr/lib32/tls/libnvidia-tls.so.$pkgver # New
# GPU monitoring and management
- install -Dm755 libnvidia-ml.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ml.so.$pkgver
+ install -Dm755 32/libnvidia-ml.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ml.so.$pkgver
# Helper libs for approved partners' GRID remote apps
- install -Dm755 libnvidia-ifr.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ifr.so.$pkgver
- install -Dm755 libnvidia-fbc.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-fbc.so.$pkgver
+ install -Dm755 32/libnvidia-ifr.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-ifr.so.$pkgver
+ install -Dm755 32/libnvidia-fbc.so.$pkgver "$pkgdir"/usr/lib32/libnvidia-fbc.so.$pkgver
# Not required (https://bugs.archlinux.org/task/38604):
# - libnvidia-wfb.so.$pkgver (provided by xorg-server: https://www.archlinux.org/packages/extra/x86_64/xorg-server/)
@@ -158,4 +158,4 @@ package_lib32-nvidia-utils-beta() {
# License (link)
install -d "$pkgdir"/usr/share/licenses/
ln -s nvidia-utils/ "$pkgdir"/usr/share/licenses/lib32-nvidia-utils
-} \ No newline at end of file
+}